const {ccclass, property} = cc._decorator;

export class SubGameData
{
    public SubGameName: string = "";
    public SubGameAssetBundle: string = "";
    public SubGameVersion: string = "";
    constructor(subGameName: string, subGameAssetBundle: string, subGameVersion: string)
    {
        this.SubGameName = subGameName;
        this.SubGameAssetBundle = subGameAssetBundle;
        this.SubGameVersion = subGameVersion;
    }
}

export default class SubGameModel
{
    private static SubGameDataList: SubGameData[] = [];

    public static FillSubGameDataList(subGameInfo: any[]): SubGameData[]
    {
        SubGameModel.SubGameDataList = [];
        subGameInfo.forEach((gameInfo: any) =>
        {
            let subGameName: string = gameInfo.SubGameName;
            let subGameAssetBundle: string = gameInfo.SubGameAssetBundle;
            let subGameVersion: string = gameInfo.Version;
            console.log("SubGameInfo: " + subGameName + " || " + subGameAssetBundle + " || " + subGameVersion);

            SubGameModel.SubGameDataList[subGameName] = new SubGameData(subGameName, subGameAssetBundle, subGameVersion);
        })

        return SubGameModel.SubGameDataList;
    }

    public static get DataList(): SubGameData[]
    {
        return SubGameModel.SubGameDataList;
    }
}